View Issue Details

IDProjectCategoryView StatusLast Update
0030452Open CASCADEOCCT:Visualizationpublic2019-11-05 18:53
Reporterkgv Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version6.9.1 
Target Version7.4.0Fixed in Version7.4.0 
Summary0030452: Visualization - SelectMgr_ViewerSelector::Deactivate() raises exception when called twice
DescriptionWhen SelectMgr_ViewerSelector::Deactivate() called more then once for the same selection, SelectMgr_ToleranceMap::Decrement() raises an exception indicating class misuse:
> SelectMgr_ToleranceMap::Decrement() - internal error.

This can be reproduced by test case bugs/vis/bug24396 in DEBUG build (#0029181).
Steps To Reproducetest bugs vis bug24396 1
TagsNo tags attached.
Test case numberNot needed

Relationships

related to 0031132 feedbackkgv Community Visualization - Deactivate should not trigger Standard_ProgramError 
child of 0026195 closedbugmaster Open CASCADE Visualization - optimize selection algorithms 

Activities

git

2019-01-21 15:35

administrator   ~0081845

Branch CR30452 has been created by kgv.

SHA-1: ca30412ddbd6637f64facc117492bc660bd4e38a


Detailed log of new commits:

Author: kgv
Date: Mon Jan 21 15:31:02 2019 +0300

    0030452: Visualization - SelectMgr_ViewerSelector::Deactivate() raises exception when called twice
    
    Removed unused SelectMgr_SOS_Sleeping enumeration value.
    SelectMgr_ViewerSelector::Deactivate() now checks activation status before updating tolerance map.

kgv

2019-01-21 15:48

developer   ~0081847

Patch is ready for review.

git

2019-01-21 15:54

administrator   ~0081849

Branch CR30452 has been updated forcibly by kgv.

SHA-1: d2f4fd3770f94c8d163c41d45352f7e72b527e8d

san

2019-01-31 20:23

developer   ~0081979

Branch CR30452 reviewed without remarks.

bugmaster

2019-02-01 13:04

administrator   ~0081986

Combination -
OCCT branch : CR30452 SHA - d2f4fd3770f94c8d163c41d45352f7e72b527e8d
Products branch : master SHA - 0b9df64a156abd5cbfbfccb15967b46cdabfe1f8
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16346.170000000022 / 16360.560000000005 [-0.09%]
Products
Total CPU difference: 7161.4100000000335 / 7164.9300000000385 [-0.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 17800.96875 / 17757.890625 [+0.24%]
Products
Total CPU difference: 8621.75 / 8601.296875 [+0.24%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2019-02-04 12:29

administrator   ~0082007

Branch CR30452 has been deleted by kgv.

SHA-1: d2f4fd3770f94c8d163c41d45352f7e72b527e8d

Related Changesets

occt: master 82d23ad5

2019-01-21 12:31:02

kgv


Committer: bugmaster Details Diff
0030452: Visualization - SelectMgr_ViewerSelector::Deactivate() raises exception when called twice

Removed unused SelectMgr_SOS_Sleeping enumeration value.
SelectMgr_ViewerSelector::Deactivate() now checks activation status before updating tolerance map.
Affected Issues
0030452
mod - src/SelectMgr/SelectMgr_StateOfSelection.hxx Diff File
mod - src/SelectMgr/SelectMgr_ViewerSelector.cxx Diff File
mod - tools/VInspector/VInspector_Tools.cxx Diff File

Issue History

Date Modified Username Field Change
2019-01-21 15:27 kgv New Issue
2019-01-21 15:27 kgv Assigned To => kgv
2019-01-21 15:35 git Note Added: 0081845
2019-01-21 15:48 kgv Note Added: 0081847
2019-01-21 15:48 kgv Assigned To kgv => san
2019-01-21 15:48 kgv Status new => resolved
2019-01-21 15:48 kgv Relationship added child of 0026195
2019-01-21 15:49 kgv Product Version 7.3.0 => 6.9.1
2019-01-21 15:54 git Note Added: 0081849
2019-01-21 17:02 kgv Description Updated
2019-01-31 20:23 san Note Added: 0081979
2019-01-31 20:23 san Assigned To san => bugmaster
2019-01-31 20:23 san Status resolved => reviewed
2019-02-01 12:54 bugmaster Test case number => Not needed
2019-02-01 13:04 bugmaster Note Added: 0081986
2019-02-01 13:04 bugmaster Status reviewed => tested
2019-02-03 11:25 bugmaster Changeset attached => occt master 82d23ad5
2019-02-03 11:25 bugmaster Status tested => verified
2019-02-03 11:25 bugmaster Resolution open => fixed
2019-02-04 12:29 git Note Added: 0082007
2019-11-05 18:53 kgv Relationship added related to 0031132